html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

body {
    font-family: Papyrus, serif;
    text-align: center;
    display: grid;
    grid-template-rows: auto 1fr auto;
}

img#logo {
    width:200px;
    position:fixed;
    margin-left:20px;
    opacity:0.8;
}

.footer {
    grid-row-start: 2;
    grid-row-end: 3;
}

article {
    margin: 0;
    padding: 7%;
    padding-bottom: 35vh;
    padding-top: 15vh;
    font-size: 2em;
    line-height: 2.0em;
    box-sizing: border-box;
    height: 100vh;
}

div.mask {
    background-color: white;
    border-radius: 2.5em;
    height: 100%;
    color:black !important;
    box-sizing: border-box;
    padding: 6%;
    overflow-x: hidden;
    overflow-y: auto;
}

.action {
    font-family: Verdana, Lato, sans-serif;
    font-size: 0.55em;
    line-height: 1em;
}

.action span {
    background-color:white;
    display:inline-block;
    border-radius: 0.7em;
    line-height:2.2em;
    padding:0.8em;
    margin-left: 0.2vw;
    margin-right: 0.2vw;
    border:3px solid white;
}

.action em {
    font-style: normal;
}

.action a {
    text-decoration: none;
    color:#777;
}

/*pas de question*/
.level0 {
    background-color: midnightblue;
    color:white;
}
/*question facile*/
.level1 {
    background-color: #814997 !important;
    color:white;
}
/*question difficile*/
.level3 {
    background-color: #f08700 !important;
}
/*question très-difficile*/
.level4 {
    background-color: #ffec75 !important;
    background-image: url('/web/img/bg_level4.png');
    background-repeat: repeat;
}


span#answer_text {
    font-family: Papyrus, serif;
    font-size:1.1em;
    margin-top:10px;
    min-height: 60px;
    cursor:pointer;
    overflow: auto;
    line-height:1em;
    color: black !important;
}

span.ads {
    font-family: Verdana, Lato, sans-serif;
    font-size:0.5em !important;
    font-weight: 100 !important;
    color:gray !important;
}

table, td, th {
    text-align: left;
    font-size:0.9em;
}

h3 {
    margin-bottom:0px;
    margin-top:10px;
}

@media only screen and (max-width:768px) {
    img#logo {
        width:100px;
        margin-top:-10px;
        margin-left:0px;
    }

    article {
        margin: 0;
        padding: 2%;
        padding-top: 10vh;
        padding-bottom: 52vh;
        font-size: 1.3em;
        line-height: 1.5em;
        box-sizing: border-box;
        height: 100vh;
    }

    div.mask {
        background-color: white;
        border-radius: 1.5em;
        height: 100%;
        box-sizing: border-box;
        padding: 5%;
        overflow-x: hidden;
        overflow-y: auto;
    }

    .action span {
        background-color:white;
        border:2px solid white;
        border-radius: 1em;
        line-height:1.8em;
        padding:0.8em;
        padding-left:1.3em;
        padding-right:1.3em;
        margin-left: 0.2em;
        margin-right: 0.2em;
        margin-top: 0.5em;
    }

    .action em {
        display:none;
    }


}
